//SKY//

textures/elders/sky
{
	qer_editorimage textures/skies/sky.tga
	skyparms textures/elders/gray 2048 -
	q3map_sunExt 1 0.86 0.67 125 -110 80 2 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 300 3
	surfaceparm 	sky
	surfaceparm 	noimpact
	surfaceparm 	nolightmap
	surfaceparm 	nodlight
	surfaceparm	nomarks
	notc
	q3map_nofog
	q3map_nolightmap
    {
	clampmap textures/elders/flash1
	blendfunc add
	rgbGen wave noise 0.5 0.5 0 1
	tcMod scale 0.32 0.32
	tcMod rotate 5
    }
    {
	clampmap textures/elders/flash2
	blendfunc add
	rgbGen wave noise 0.5 0.5 0.5 2
	tcMod scale 0.32 0.32
	tcMod rotate 5
    }
}

textures/elders/fog
{
	qer_editorimage	textures/fogs/fog.tga
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.75 0.75 0.75 ) 20000.0
}

//TERRAIN//

textures/elders/terrain_0
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/elders/rock.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_1
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/elders/grass2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_2
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/elders/dirt.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/elders/sand.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_0to1
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/elders/rock.jpg
	}
	{
		map textures/elders/grass2.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_0to2
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/elders/rock.jpg
	}
	{
		map textures/elders/dirt.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_0to3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/elders/rock.jpg
	}
	{
		map textures/elders/sand.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_1to2
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/elders/grass2.jpg
	}
	{
		map textures/elders/dirt.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_1to3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/elders/grass2.jpg
	}
	{
		map textures/elders/sand.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain_2to3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/elders/dirt.jpg
	}
	{
		map textures/elders/sand.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/elders/terrain.vertex
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/elders/rock.jpg
		rgbGen vertex
	}
}

//WATER//

textures/elders/water
{
	qer_editorimage	textures/elders/water
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	256
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 0.5 0.3 0.5
    {
        map textures/elders/water
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 0.6 0.6 0.6 )
        alphaFunc GE128
	alphaGen const 1.0
	tcmod scroll 0 -0.25
    }
    {
	map textures/elders/cubemap
	tcGen environment
	blendFunc GL_ONE GL_ONE
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        clampmap textures/elders/rainhit
            surfaceSprites effect 1.5 1.5 64 512
            ssVariance 1 0.75
            ssFXDuration 135
            ssFXGrow 6 6
            ssFXAlphaRange 0.30 0
            SsFademax 768
            SsFadescale 0.5
        blendFunc GL_ONE GL_ONE
    }
}

//CRYSTAL+EFFECTS//

textures/elders/crystal_purple
{
	qer_editorimage textures/elders/crystal_purple
	q3map_nolightmap
	surfaceparm	nonopaque
	surfaceparm	trans
    {
	map textures/elders/crystal_purple
        blendFunc GL_ONE GL_ONE
    }
    {
	map textures/elders/spec
        blendFunc GL_ONE GL_ONE
        tcGen environment
	glow
    }
}

textures/elders/rock_runes
{
	qer_editorimage	textures/elders/rock_runes
    {
	map $lightmap
    }
    {
	map textures/elders/rock_runes
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map textures/elders/rock_runes_glow
	blendFunc GL_ONE GL_SRC_ALPHA
        alphaFunc GE128
	alphaGen const 1
	glow
    }
}

textures/elders/book_out
{
	qer_editorimage	textures/elders/book_out
    {
	map $lightmap
    }
    {
	map textures/elders/book_out
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map textures/elders/book_out_glow
	blendFunc GL_ONE GL_SRC_ALPHA
        alphaFunc GE128
	alphaGen const 1
	glow
    }
}

textures/elders/spirit
{
	q3map_nolightmap
	surfaceparm	nolightmap
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	nomarks
	surfaceparm	trans
	cull	twosided
    {
        map textures/elders/spirit
	blendFunc GL_ONE GL_SRC_ALPHA
        alphaFunc GE128
	alphaGen const 1.0
	tcMod scroll -0.5 0
	glow
    }
}

textures/elders/hull_green
{
	q3map_nolightmap
	surfaceparm	nolightmap
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	nomarks
	surfaceparm	trans
    {
        map textures/elders/hull_green
	blendFunc filter
    }
}

textures/elders/web
{
	qer_editorimage	textures/rift/cobweb
	surfaceparm	nonsolid
	q3map_alphashadow
	q3map_nolightmap
	cull	twosided
	deformvertexes	wave 50 sin 0 2.5 0 0.35
    {
        map textures/rift/cobweb2
        blendFunc GL_SRC_ALPHA GL_ONE
    }
}

textures/elders/web2
{
	qer_editorimage	textures/rift/cobweb2
	surfaceparm	nonsolid
	q3map_alphashadow
	q3map_nolightmap
	cull	twosided
	deformvertexes	wave 50 sin 0 2.5 0 0.35
    {
        map textures/rift/cobweb2
        blendFunc GL_SRC_ALPHA GL_ONE
    }
}

textures/elders/dust
{
	qer_editorimage	textures/common/gradient
	qer_trans	0.5
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
    {
        clampmap textures/common/gradient
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.15 0.15 0.15 )
    }
}

//RAINHITSTUFF//

textures/duel_kaminoan/platform
{
	qer_editorimage	textures/duel_kaminoan/platform
    {
        map $lightmap
    }
    {
        map textures/duel_kaminoan/platform
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        clampmap textures/duel_kaminoan/rainhit
            surfaceSprites effect 1.5 1.5 64 512
            ssVariance 1 0.75
            ssFXDuration 135
            ssFXGrow 6 6
            ssFXAlphaRange 0.30 0
            SsFademax 768
            SsFadescale 0.5
        blendFunc GL_ONE GL_ONE
    }
}

//BASICS(PHONG SHADED)//

textures/elders/bark1
{
	q3map_nonplanar
	q3map_shadeangle 60
    {
	map $lightmap
	rgbGen identity
    }
    {
	map textures/elders/bark1
	blendFunc filter
    }
}

textures/elders/bark3
{
	q3map_nonplanar
	q3map_shadeangle 60
    {
	map $lightmap
	rgbGen identity
    }
    {
	map textures/elders/bark3
	blendFunc filter
    }
}

textures/elders/rock
{
	q3map_nonplanar
	q3map_shadeangle 60
    {
	map $lightmap
	rgbGen identity
    }
    {
	map textures/elders/rock
	blendFunc filter
    }
}

//PLANTS//

textures/elders/water_plants
{
	qer_editorimage	textures/yavin/groundplants
	surfaceparm	nonsolid
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	trans
	polygonOffset
	q3map_alphashadow
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	twosided
    {
        map textures/yavin/groundplants
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/elders/leaf1
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/leaf1.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/leaf2
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/leaf2.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/leaf3
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/leaf3.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/leaf4
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/leaf4.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/grass_tall
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/grass_tall.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/schilf
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/schilf.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/hangvine
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	polygonOffset
	q3map_nolightmap
    {
	map textures/elders/hangvine.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/hangvine2
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	polygonOffset
	q3map_nolightmap
    {
	map textures/elders/hangvine2.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}

textures/elders/tree_leaves
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull	twosided
	q3map_nolightmap
    {
	map textures/elders/tree_leaves.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128		
    }	
}